import {
  listRecords,
  getRecordByPk,
  createRecord,
  updateRecordByPk,
  deleteRecordByPk
} from "./genericCrudController.js";

const TABLE_NAME = "departments";
const PK = ["department_id"];

export const listDepartments = listRecords(TABLE_NAME);
export const getDepartmentByPk = getRecordByPk(TABLE_NAME, PK);
export const createDepartment = createRecord(TABLE_NAME);
export const updateDepartmentByPk = updateRecordByPk(TABLE_NAME, PK);
export const deleteDepartmentByPk = deleteRecordByPk(TABLE_NAME, PK);

